Page MenuHomeFreeBSD

www/pecl-yar: Update to 2.1.2
ClosedPublic

Authored by miguel_gocobachi.dev on Jun 30 2020, 11:12 PM.

Details

Summary

www/pecl-yar upgrade to 2.1.2

I would like to know if this is the standard way of replacing inline texts,
the default configure did not find the -lcurl, I need to pass the -L with
the correct path.

https://bugs.freebsd.org/247674

Test Plan

poudriere

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

I think I found the solution for this one.

LDFLAGS+=       -L${LOCALBASE}/lib ${EXTRA_LIBS}
lwhsu added inline comments.
www/pecl-yar/Makefile
6 ↗(On Diff #73932)

No need to add PORTREVISION here.

21 ↗(On Diff #73932)

Are those white space changes intentional?

lwhsu requested changes to this revision.Jul 1 2020, 2:58 AM
This revision now requires changes to proceed.Jul 1 2020, 2:58 AM
www/pecl-yar/Makefile
6 ↗(On Diff #73932)

in which scenarios the PORTREVISION needs to be changed? (I am learning, my bad I thought it needs to be updated for a new change)

21 ↗(On Diff #73932)

I think I ran portfmt

miguel_gocobachi.dev marked 2 inline comments as done.

Updates following the reviews suggestions:

  • Remove portrevision
www/pecl-yar/Makefile
6 ↗(On Diff #73932)
21 ↗(On Diff #73932)

oh that's fine, I don't think this spaces are mandatory, it's more like personal preference. I recommend that don't do style change if not necessary. (at least not in the same commit)

miguel_gocobachi.dev marked 2 inline comments as done.

understood, thanks!

Tested with poudriere for all flavors www/pecl-yar@all on 12_1_amd64 12_1_i386 11_3_amd64 11_3_i386

This revision is now accepted and ready to land.Jul 1 2020, 4:58 AM
lwhsu retitled this revision from Makefile standards for patching inline to www/pecl-yar: Update to 2.1.2.Jul 1 2020, 5:20 AM
0mp added inline comments.
www/pecl-yar/Makefile
19 ↗(On Diff #73942)

-L${LOCALBASE}/lib could be replaced with USES=localbase:ldconfig.

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/uses-localbase.html

BTW, what is the EXTRA_LIBS for?

miguel_gocobachi.dev added inline comments.
www/pecl-yar/Makefile
19 ↗(On Diff #73942)

The compiler was failing because it was unable to provide the correct path for curl, so I found this peace of code in another port. So, hope it just for appending other libs added with Mk.

miguel_gocobachi.dev added inline comments.
www/pecl-yar/Makefile
19 ↗(On Diff #73942)

it also works without the EXTRA_LIBS, should I remove it? and the "USES=localbase:ldconfig" did not work.

www/pecl-yar/Makefile
19 ↗(On Diff #73942)

oh, that's a typo. Sorry. I meant USES=localbase:ldflags

This revision now requires review to proceed.Jul 3 2020, 3:02 PM
www/pecl-yar/Makefile
19 ↗(On Diff #73942)

oh, that's a typo. Sorry. I meant USES=localbase:ldflags

@miguel_gocobachi.dev : do you want to try this?

miguel_gocobachi.dev added inline comments.
www/pecl-yar/Makefile
19 ↗(On Diff #73942)

it is already patched with that, it worked.

miguel_gocobachi.dev marked 2 inline comments as done and an inline comment as not done.Jul 22 2020, 6:14 AM

@lwhsu this is ready to be merged.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 4 2020, 4:45 PM
Closed by commit rP544177: Update to 2.1.2 (authored by lwhsu). · Explain Why
This revision was automatically updated to reflect the committed changes.